Skip to main content

Do I need to upgrade my firmware?

If you are having trouble connecting an iPhone 11 to Nitelog and have a Z1 or Z2 manufactured before June 1, 2020, you may need to upgrade your firmware.

All Z2 Auto CPAPs manufactured after June 1, 2020 have the new firmware already installed.

The new firmware only corrects a connection issue between the iPhone 11 and the Z1 and Z2 Autos to Nitelog.

Upgrade to the new firmware is not necessary unless you have an iPhone 11. It does not affect the performance or functionality of the Z1 or Z2. 

Click on link below for more information.

https://breas.us/z1-z2-firmware-upgrade/

Categories: Changing Settings, General Questions